package com.yunzhi.shigongli.common;

public class Constants {
    // 基本状态
    public final static int STATUS_DELETED = -1;
    public final static int STATUS_READY = 0;
    public final static int STATUS_NORMAL = 1;

    // 订单状态
    public final static int ORDER_READY = 0;    // 未支付
    public final static int ORDER_PAYED = 1;    // 已支付
    public final static int ORDER_REFUND = 2;   // 已退款
    public final static int ORDER_CANCEL = 7;   // 已取消
    public final static int ORDER_EXPIRED = 9;  // 已过期

    // 支付结果
    public final static int PAY_SUCCESS = 1;
    public final static int PAY_FAIL = 2;

    // 抽成分类
    public final static String COMMISSION_TRAFFIC = "traffic";  // 引流抽成
    public final static String COMMISSION_PLATFORM = "platform";  // 平台抽成

    // 平台账户ID
    public final static String SYSTEM_ACCOUNT_ID = "sys_plat";

    // 账户流水
    public final static int ACCOUNT_INCOME = 1;     // 收入
    public final static int ACCOUNT_EXPENSE = -1;   // 支出

    // 账户金额类型
    public final static String ACCOUNT_CASHBACK = "cashback";       // 返现
    public final static String ACCOUNT_REFUND = "refund";           // 退款
    public final static String ACCOUNT_ORDER = "order";             // 订单
    public final static String ACCOUNT_SALES = "sales";             // 营业额
    public final static String ACCOUNT_COMMISSION = "commission";   // 抽成
    public final static String ACCOUNT_DIVIDE = "divide";           // 提点
    public final static String ACCOUNT_CHARGE = "charge";           // 结算
    public final static String ACCOUNT_SETTLEMENT = "settlement";   // 佣金结算

    // 系统模块
    public final static String TARGET_ORDER = "order";                  // 订单
    public final static String TARGET_ORDER_SUB = "order_sub";          // 订单项目
    public final static String TARGET_HOTEL = "hotel";                  // 民宿
    public final static String TARGET_ROOM = "room";                   // 房源
    public final static String TARGET_SHOP = "shop";                    // 商铺
    public final static String TARGET_SHOP_PACKAGE = "shop_package";    // 商铺套餐
    public final static String TARGET_TOURIST = "tourist";              // 景点

    // 商品套餐类型
    public final static String PACKAGE_NORMAL = "normal";           // 普通套餐
    public final static String PACKAGE_CASH = "cash_coupon";        // 现金抵用券

    // 人员角色
    public final static String PERSON_NORMAL = "normal";        // 普通游客
    public final static String PERSON_HOTEL = "hotel";          // 民宿老板
    public final static String PERSON_SHOP = "shop";            // 店铺老板

    // 推荐人类型
    public final static String RECOMMEND_SHOP = "shop";     // 商铺
    public final static String RECOMMEND_HOTEL = "hotel";   // 民宿

    // 评价
    public final static String EVALUATE_ENVIRONMENT = "environment";    // 环境评分
    public final static String EVALUATE_SWEET = "sweet";                // 口味评分
    public final static String EVALUATE_SERVICE = "service";            // 服务评分

    // 系统参数
    public final static String CONF_HOTEL_RECOMMEND_VALID_DAYS = "hotel_recommend_valid_days";      // 民宿推广客户有效时间
    public final static String CONF_SHOP_RECOMMEND_VALID_DAYS = "shop_recommend_valid_days";        // 商铺推广客户有效时间

    // 小程序消息模板
    public final static String TPL_MESSAGE_HOTEL_CHECK_IN = "hotel_check_in";       // 民宿入住消息
    public final static String TPL_MESSAGE_HOTEL_CHECK_OUT = "hotel_check_out";     // 民宿离店消息
    public final static String TPL_MESSAGE_SHOP_PAY_SUCCESS = "shop_pay_success";   // 商铺下单成功通知
    public final static String TPL_MESSAGE_SHOP_VERIFY_RESULT = "shop_verify_result";   // 商铺下单成功通知
}
