package com.yunzhi.shigongli.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 民宿账户
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaShopAccount对象", description="民宿账户")
public class TaShopAccount implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "账户ID")
    @TableId(value = "account_id", type = IdType.UUID)
    private String accountId;

    @ApiModelProperty(value = "民宿ID")
    private String shopId;

    @ApiModelProperty(value = "总金额;单位分")
    private Integer amounts;

    @ApiModelProperty(value = "推广收入;单位分")
    private Integer brokerageCharges;

    @ApiModelProperty(value = "已结算金额;单位分")
    private Integer paidCharges;

    @ApiModelProperty(value = "营业额;单位分")
    private Integer salesCharges;

    @ApiModelProperty(value = "结算金额;单位分")
    private Integer incomeCharges;

    @ApiModelProperty(value = "被提点金额;单位分")
    private Integer commisionCharges;

    @ApiModelProperty(value = "返现金额;单位分")
    private Integer cashback;

    private LocalDateTime createDate;


}
