package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaShopAccountLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.shigongli.vo.ShopCommissionVO;
import com.yunzhi.shigongli.vo.ShopOrderVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 商户账户流水 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaShopAccountLogMapper extends BaseMapper<TaShopAccountLog> {

    Integer getTotalCharges(@Param("accountId") String accountId,
                            @Param("amountType") String amountType,
                            @Param("start") LocalDateTime start,
                            @Param("end") LocalDateTime end);

    IPage<ShopCommissionVO> getShopAccountPage(IPage<ShopCommissionVO> pg,
                                          @Param("amountType") String amountType,
                                          @Param("shopName") String shopName,
                                          @Param("description") String description,
                                          @Param("startDate") LocalDateTime startDate,
                                          @Param("endDate") LocalDateTime endDate);

    List<ShopCommissionVO> getShopAccountList(@Param("amountType") String amountType,
                                              @Param("shopName") String shopName,
                                              @Param("description") String description,
                                              @Param("startDate") LocalDateTime startDate,
                                              @Param("endDate") LocalDateTime endDate);
}
