package com.yunzhi.shigongli.vo;


import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.yunzhi.shigongli.common.excelConverter.MoneyConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(description = "民宿查询统计")
@Data
public class HotelQueryVO {

    @ExcelIgnore
    @ApiModelProperty(value = "民宿ID")
    private String hotelId;

    @ExcelProperty(value = "民宿名称", index = 0)
    @ColumnWidth(30)
    @ApiModelProperty(value = "民宿名称")
    private String hotelName;

    @ExcelProperty(value = "分享次数", index = 1)
    @ColumnWidth(20)
    @ApiModelProperty(value = "分享次数")
    private Integer shareNum;

    @ExcelProperty(value = "客户数量", index = 2)
    @ColumnWidth(20)
    @ApiModelProperty(value = "客户数量")
    private Integer customerNum;

    @ExcelProperty(value = "点击次数", index = 3)
    @ColumnWidth(20)
    @ApiModelProperty(value = "点击次数")
    private Integer visitNum;

    @ExcelProperty(value = "推荐点击次数", index = 4)
    @ColumnWidth(30)
    @ApiModelProperty(value = "推荐点击次数")
    private Integer recommendNum;

    @ExcelProperty(value = "佣金金额", converter = MoneyConverter.class, index = 5)
    @ColumnWidth(20)
    @ApiModelProperty(value = "佣金金额")
    private Integer commissionCharge;
}
