package com.yunzhi.shigongli.vo;


import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.yunzhi.shigongli.common.excelConverter.MoneyConverter;
import com.yunzhi.shigongli.common.excelConverter.ShopStatusConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(description = "商铺列表")
@Data
public class ShopListVO {

    @ExcelIgnore
    @ApiModelProperty(value = "店铺ID")
    private String shopId;

    @ExcelProperty(value = "店铺名称", index = 0)
    @ColumnWidth(30)
    @ApiModelProperty(value = "店铺名称")
    private String shopName;

//    @ExcelProperty(value = "联系电话", index = 1)
//    @ColumnWidth(20)
//    @ApiModelProperty(value = "联系电话")
//    private String phone;
//
//    @ExcelProperty(value = "位置信息", index = 2)
//    @ColumnWidth(30)
//    @ApiModelProperty(value = "位置信息")
//    private String address;

    @ExcelProperty(value = "套餐数", index = 1)
    @ColumnWidth(20)
    @ApiModelProperty(value = "套餐数")
    private Integer packageNum;

    @ExcelProperty(value = "人员数量", index = 2)
    @ColumnWidth(20)
    @ApiModelProperty(value = "人员数量")
    private Integer workerNum;

    @ExcelProperty(value = "营业额", converter = MoneyConverter.class, index = 3)
    @ColumnWidth(20)
    @ApiModelProperty(value = "营业额")
    private Integer salesCharges;

    @ExcelProperty(value = "浏览次数", index = 4)
    @ColumnWidth(20)
    @ApiModelProperty(value = "浏览次数")
    private Integer pvNum;

    @ExcelProperty(value = "订单数量", index = 5)
    @ColumnWidth(20)
    @ApiModelProperty(value = "订单数量")
    private Integer orderSubNum;

    @ExcelProperty(value = "推广佣金", converter = MoneyConverter.class, index = 6)
    @ColumnWidth(20)
    @ApiModelProperty(value = "推广佣金")
    private Integer brokerageCharges;

    @ExcelProperty(value = "已结算", converter = MoneyConverter.class, index = 7)
    @ColumnWidth(20)
    @ApiModelProperty(value = "已结算")
    private Integer paidCharges;

    @ExcelProperty(value = "待结算", converter = MoneyConverter.class, index = 8)
    @ColumnWidth(20)
    @ApiModelProperty(value = "待结算")
    private Integer unpaidCharges;

    @ExcelProperty(value = "权重", index = 9)
    @ColumnWidth(20)
    @ApiModelProperty(value = "权重")
    private Integer weight;

    @ExcelProperty(value = "状态", converter = ShopStatusConverter.class, index = 10)
    @ColumnWidth(20)
    @ApiModelProperty(value = "状态")
    private Integer status;
}
